TauPDaemon (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauPDaemon

Package edu.sc.seis.TauP

# Class TauPDaemon

java.lang.Object
java.lang.Thread
edu.sc.seis.TauP.TauPDaemon

All Implemented Interfaces:
  `java.lang.Runnable`

    public class TauPDaemon
    extends java.lang.Thread

Daemon for travel time calculations. Listens to port 6371 by default and returns travel time calculations in response to client requests.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static TauModel[]` | `tauModels` |

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TauPDaemon​(java.net.Socket s)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `main​(java.lang.String[] args)` |
  `void` | `run()` |

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tauModels

    protected static TauModel[] tauModels

- ## Constructor Details

  - ### TauPDaemon

    public TauPDaemon​(java.net.Socket s)

- ## Method Details

  - ### main

    public static void main​(java.lang.String[] args)

  - ### run

    public void run()
    Specified by:
      `run` in interface `java.lang.Runnable`
    Overrides:
      `run` in class `java.lang.Thread`